bug-gnulib
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] init.sh: Consider OS/2-style path


From: KO Myung-Hun
Subject: [PATCH] init.sh: Consider OS/2-style path
Date: Tue, 3 Oct 2023 00:56:09 +0900

tests/init.sh (setup_): Use $PATH_SEPARATOR as a path separator, and
consider an OS/2-style absolute path.
---
 tests/init.sh | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/tests/init.sh b/tests/init.sh
index 0494097e9f..2a88865972 100644
--- a/tests/init.sh
+++ b/tests/init.sh
@@ -435,14 +435,14 @@ setup_ ()
   # Remove relative and non-accessible directories from PATH, including '.'
   # and Zero-length entries.
   saved_IFS="$IFS"
-  IFS=:
+  IFS="$PATH_SEPARATOR"
   new_PATH=
   sep_=
   for dir in $PATH; do
     case "$dir" in
-      /*) test -d "$dir/." || continue
+      /* | ?:*) test -d "$dir/." || continue
           new_PATH="${new_PATH}${sep_}${dir}"
-          sep_=':';;
+          sep_="$PATH_SEPARATOR";;
     esac
   done
   IFS="$saved_IFS"
-- 
2.39.1




reply via email to

[Prev in Thread] Current Thread [Next in Thread]